All resources All frames

# TidyPutFilter

This filter cleans the document with jtidy to PUT only valid HTML code. If the tidying process fails and strict HTML validation is required, it emits a 403 reply (FORBIDDEN), else it accepts the PUT with the original invalid code with a Warning.

## Inherits

The TidyPutFilter class inerits from the following classes:

- Resource
- FramedResource
- ResourceFrame
- ResourceFilter

## Attributes description

The TidyPutFilter defines the following attribute:

- valid-strict

`valid-strict`

semantics
  The boolean to say whether strict validation is required or PUT is performed when tidy fails.
type
  This attribute is an editable BooleanAttribute
default value
  This attribute defaults to false.

Jigsaw Team
$Id: org.w3c.jigedit.filters.TidyPutFilter.html,v 1.4 2002/02/20 16:19:09 cbournez Exp $